1
mirror of https://git.dn42.dev/dn42/registry.git synced 2024-12-25 23:43:44 +01:00
registry/check-my-stuff
2017-11-06 14:36:46 -07:00

25 lines
694 B
Bash
Executable File

#!/bin/sh
if [ $# -eq 0 ]
then
echo "Usage: $0 YOUR-MNT"
exit
fi
BASE="$(realpath "$0")"
BASE="$(dirname "$BASE")"
cd "$BASE" || exit 1
utils/schema-check/dn42-schema.py -v scan data/ -m "$1" || ( echo "Schema validation failed, please check above!" ; exit 1 )
git diff --cached --name-only | while IFS='/' read -ra LINE; do
if [[ "${LINE[0]}" = "data" ]]; then
if ! utils/schema-check/dn42-schema.py policy ${LINE[1]} ${LINE[2]} $1; then
echo "# This file fails policy checks. To continue with the commit revert the change."
echo "# git reset HEAD -- " ${LINE[1]}/${LINE[1]}/${LINE[2]}
echo "# git checkout -- " ${LINE[1]}/${LINE[1]}/${LINE[2]}
exit 1
fi
fi
done